Skip to main content
POST
/
v1
/
voices
/
presigned-upload
create voice presigned upload
curl --request POST \
  --url https://api.anam.ai/v1/voices/presigned-upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "contentType": "<string>",
  "fileSize": 123
}
'
{
  "uploadUrl": "<string>",
  "audioKey": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
filename
string
required

Original filename of the audio clip (used to derive the storage key).

contentType
string
required

Audio MIME type (must start with audio/, e.g. audio/wav). The subsequent PUT must use the same value.

fileSize
integer
required

Size of the file in bytes. Required and must not exceed 50MB (52428800).

Response

Presigned upload URL generated

uploadUrl
string

Presigned URL to PUT the audio bytes to (valid for 1 hour).

audioKey
string

Opaque storage key to pass back to POST /v1/voices.

Last modified on July 6, 2026